Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class ScriptRunner

    java.lang.Object
      oracle.ifs.common.BaseMain
          oracle.ifs.common.BaseApp
              oracle.ifs.core.tools.script.ScriptDriver
                  oracle.ifs.core.tools.script.ScriptRunner

All Implemented Interfaces:
  java.lang.Runnable, Logger

    public class ScriptRunner

extends ScriptDriver

A ScriptRunner runs a script of operations defined in an input file.

(Published)

Field Summary

Fields inherited from class oracle.ifs.common.BaseApp
`m_currentuser, m_session`

Fields inherited from class oracle.ifs.common.BaseMain
`m_defaultWriter, m_logWriter, m_parametertable, m_timervalue`

Constructor Summary
`ScriptRunner(java.lang.String[] args)` Construct a ScriptRunner.

Method Summary
`static void` | `main(java.lang.String[] args)` Start the script, with the specified commandline arguments.
`void` | `run()` Run the script.

Methods inherited from class oracle.ifs.core.tools.script.ScriptDriver
`applyLogLevelOverride, applyLogLevelOverrides, businessObjectExists, cloneDefinition, definitionExists, deregisterBusinessObject, deregisterDefinition, deregisterObject, deregisterSession, deregisterTransaction, getCurrentSession, getDefaultScriptOperations, getLogWriter, getShowDates, getStringsFromArrayToken, getStripNumbersFromAuditEventProperties, initializeLogging, log, logToLogger, logToLogger, logToOutput, lookupBusinessObject, lookupDefinition, lookupDefinition, lookupObject, lookupObject, lookupObjectId, lookupSessionByTag, lookupTagBySessionId, objectExists, parseTask, registerBusinessObject, registerDefinition, registerNewSession, registerObject, registerTransaction, replaceSession, sessionExists, setCurrentSession, setDefaultScriptOperations, setDefaultScriptOperationsClass, setMainSession, setMainSessionAsCurrentSession, setMethodList, transactionExists, verifyBusinessObjectTagNotExists, verifyDefinitionTagNotExists, verifyDefinitionWriteable, verifyObjectTagNotExists`

Methods inherited from class oracle.ifs.common.BaseApp
`connect, Connect, connect, Connect, Connect, Connect, connect, Connect, connect, Connect, Disconnect, getCachePerformanceString, getCleartextCredential, getCleartextCredential, getConnectionPoolPerformanceString, getConnectOptions, getConnectOptions, getConnectOptions, getLocale, showCachePerformance, showConnectionPoolPerformance`

Methods inherited from class oracle.ifs.common.BaseMain
`getElapsedTime, getParameterTable, initTrace, log, logCurrentTimestamp, printStackTrace, setTimer, showElapsedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptRunner

    public ScriptRunner(java.lang.String[] args)

  Construct a ScriptRunner.

  Parameters:
    `args` - commandline arguments
  (Published)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `ScriptRunner`
  Start the script, with the specified commandline arguments.

  This simply constructs a ScriptRunner instance and invokes `run`.

  Parameters:
    `args` - the test arguments.
  (Published)

### run

    public void run()

  Description copied from class: `ScriptRunner`
  Run the script.

  Initializes logging, and then delegates to superclass. The superclass consumes any exception after reporting it in the log.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `ScriptDriver`
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD